Update user role in firm

PUT /api/v1/advisory-firms/{firm_id}/users/{user_id}/role

Update a user's role in an advisory firm.

Operation ID: update_user_role_in_firm_api_v1_advisory_firms__firm_id__users__user_id__role_put · View as markdown · OpenAPI slice

Authentication

Bearer token authentication. Pass your DayZero API token in the Authorization header and the target business UUID in x-business-id.

Parameters

Path

firm_id string required
user_id string required

Request body

role string required

New role for the user. owner: Full access + billing + user management. admin: Full access + user management (no billing). member: Access to assigned businesses only.

One of: owner, admin, member, client

Responses

200 Successful Response

id string required
user_id string required
advisory_firm_id string required
role string

User's role in the firm. owner: Full access + billing + user management. admin: Full access + user management (no billing). member: Access to assigned businesses only.

One of: owner, admin, member, client

422 Validation Error

detail array · ValidationError ValidationError
5 fields
loc array · string | integer required
msg string required
type string required
input object
ctx object